import lyLink from './aComponent'

const components = [
    lyLink
]

const install = function(Vue){
    if(install.installed) return
    components.map(component => {
        Vue.component(component.name,component)
    })
}
//判断是否直接引入文件
if(typeof window !== 'undefined' && window.Vue){
    install(window.Vue)
}
export default install

export {
    //导出的对象必须具有install,才能被Vue.use()方法安装
    install,
    lyLink
}